# Class BasicComboPopup.InvocationMouseMotionHandler

java.lang.Object
java.awt.event.MouseMotionAdapter
javax.swing.plaf.basic.BasicComboPopup.InvocationMouseMotionHandler

All Implemented Interfaces:
  `MouseMotionListener, EventListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.InvocationMouseMotionHandler extends MouseMotionAdapter
This listener watches for dragging and updates the current selection in the list if it is dragging over the list.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`InvocationMouseMotionHandler()`
Constructs an `InvocationMouseMotionHandler`.

## Method Summary

### Methods declared in class MouseMotionAdapter

`mouseDragged, mouseMoved`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvocationMouseMotionHandler

protected InvocationMouseMotionHandler()
Constructs an `InvocationMouseMotionHandler`.